octonet - Segnalazione #217

Errore durante creazione nuovo gruppo
04/05/2017 11:37 AM - Massimo Previdi

Status: Risolto Start date: 04/05/2017
Priority: Alta Due date:

Assignee: Michael Guggenberg % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Azione:

Users&Groups --> All Groups --> Create new group
dopo l'inserimento del nuovo gruppo, alla pressione del bottone "Save" sia ha il seguente errore:
Environment:

Request Method: POST
Request URL: http://octofuss.testing.lan/users/group/create

Django Version: 1.8.16

Python Version: 3.4.2

Installed Applications:

['django.contrib.sessions’,
'django.contrib.messages',
'whitenoise.runserver_nostatic',
'django.contrib.staticfiles',

'octonet’,

'hostqueue.apps.HostQueue',
'firewall.apps.Firewall’,

'dhcp.apps.Dhep’,
'dansguardian.apps.DansGuardian’,
'host.apps.Host',

'polygen.apps.Polygen’,

'upgrade.apps.Upgrade’,

'asterisk.apps.Asterisk’,

'samba.apps.Samba’,

'users.apps.Users',

'script.apps.Script',

'quota.apps.Quota’,

'printers.apps.Printers’,

'auth.apps.Auth']

Installed Middleware:
['django.middleware.security.SecurityMiddleware',
'‘whitenoise.middleware.WhiteNoiseMiddleware',
'django.contrib.sessions.middleware.SessionMiddleware',
'django.middleware.common.CommonMiddleware',
'django.middleware.csrf.CsrfViewMiddleware',
'django.middleware.locale.LocaleMiddleware’,
'octonet.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware']

Traceback:

File "/usr/lib/python3/dist-packages/django/core/handlers/base.py" in get_response

132. response = wrapped_callback(request, *callback_args, **callback_kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in view

71. return self.dispatch(request, *args, **kwargs)

File "/usr/share/octonet/octonet/mixins.py" in dispatch

105. return super().dispatch(request, *args, **kw)

File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in dispatch

89. return handler(request, *args, **kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/edit.py" in post

215. return self.form_valid(form)

File "/usr/share/octonet/users/views.py" in form_valid

610. self.root_tree.Icreate(['users’, 'groups', self.group_name])

File "/usr/lib/python3/dist-packages/octofuss/xmlirpc.py"” in Icreate

84. return self._wrap_call(self.server.create, "/".join(path), dumps(value))
File "/usr/lib/python3/dist-packages/octofuss/xmirpc.py" in _wrap_call

42. raise globals().get(name, UnknownException)(msg)

Exception Type: UnknownException at /users/group/create
Exception Value: 'NoneType' object has no attribute 'lget’

Related issues:
Related to octonet - Segnalazione #212: Manca opzione aggiunta gruppo utenti Risolto 03/22/2017

History

#1 - 04/05/2017 01:00 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Massimo Previdi

Attualmente non riesco a riprodurlo.

Puoi cortesemente fornirmi al versione del pacchetto octonet e la versione del pacchetto octofussd installati sul server?

#2 - 04/06/2017 09:37 AM - Massimo Previdi

Attualmente anch'io non riesco a fornirti, (sono a scuola),
la versione del pacchetto octonet e la versione del pacchetto octofussd installati sul server.
Posso verificare, appena possibile, solo quando sono nel fuss-box

#3 - 04/06/2017 11:58 AM - Michael Guggenberg
Christopher R. Gabriel ha scritto:

Attualmente non riesco a riprodurlo.

Puoi cortesemente fornirmi al versione del pacchetto octonet e la versione del pacchetto octofussd installati sul server?

confermo, octonet 0.2.2-1

Request Method: POST
Request URL: http:/localhost:13402/users/group/create

Django Version: 1.8.16

Python Version: 3.4.2

Installed Applications:
['django.contrib.sessions',
‘django.contrib.messages',
'whitenoise.runserver_nostatic',
‘django.contrib.staticfiles',
'octonet’,
'hostqueue.apps.HostQueue',
'firewall.apps.Firewall',
‘dhcp.apps.Dhep’,
‘dansguardian.apps.DansGuardian’,
'host.apps.Host',
'polygen.apps.Polygen’,
'upgrade.apps.Upgrade’,
'asterisk.apps.Asterisk’,
'samba.apps.Samba’,
'users.apps.Users',
'script.apps.Script’,
‘quota.apps.Quota’,

'printers.apps.Printers’,

'auth.apps.Auth’]

Installed Middleware:
['django.middleware.security.SecurityMiddleware',
‘whitenoise.middleware.WhiteNoiseMiddleware',
‘django.contrib.sessions.middleware.SessionMiddleware',
‘django.middleware.common.CommonMiddleware',
‘django.middleware.csrf.CsrfViewMiddleware',
‘django.middleware.locale.LocaleMiddleware’,
‘octonet.middleware.AuthenticationMiddleware',
‘django.contrib.messages.middleware.MessageMiddleware',
‘django.middleware.clickjacking.XFrameOptionsMiddleware']

Traceback:

File "/usr/lib/python3/dist-packages/django/core/handlers/base.py" in get_response
132. response = wrapped_callback(request, *callback_args, **callback_kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in view

71. return self.dispatch(request, *args, **kwargs)

File "/usr/share/octonet/octonet/mixins.py" in dispatch

105. return super().dispatch(request, *args, **kw)

File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in dispatch

89. return handler(request, *args, **kwargs)

File "/usr/lib/python3/dist-packages/django/views/generic/edit.py" in post

215. return self.form_valid(form)

File "/usr/share/octonet/users/views.py" in form_valid

610. self.root_tree.Icreate(['users', 'groups’, self.group_name])

File "/usr/lib/python3/dist-packages/octofuss/xmirpc.py" in Icreate

84. return self._wrap_call(self.server.create, "/".join(path), dumps(value))

File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in _wrap_call

42. raise globals().get(name, UnknownException)(msg)

Exception Type: UnknownException at /users/group/create
Exception Value: 'NoneType' object has no attribute ‘Iget'

#4 - 04/06/2017 12:00 PM - Michael Guggenberg
octofussd 8.0.15-1

#5 - 04/07/2017 12:36 AM - Paolo Dongilli
- Related to Segnalazione #212: Manca opzione aggiunta gruppo utenti added

#6 - 04/11/2017 11:31 AM - Massimo Previdi
- Assignee changed from Massimo Previdi to TRUELITE

Buongiorno, confermo che i pacchetti installati nel server di prova sono i seguenti:

ii octonet 0.2.2-1 all OctoNet

ii octofussd 8.0.15-1 all server for remote computer lab administration
purtroppo anche dopo un update & upgrade del server,

persiste 'errore segnalato in precedenza durante la creazione di un nuovo gruppo! (docenti, alunni o studenti)

#7 - 04/11/2017 11:41 AM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Mark Caglienzi

#8 - 04/11/2017 12:33 PM - Mark Caglienzi

- Status changed from Commenti to In elaborazione

#9 - 04/11/2017 04:56 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Michael Guggenberg

Dopo diversi tentativi di riprodurre il problema non ci siamo riusciti.
Questo problema succede tutte le volte che si cerca di creare un nuovo gruppo?

Per proseguire nell'indagine a questo punto sarebbe utile avere il relativo log di octofussd (cioé durante un tentativo di creazione di gruppo che
fallisce in questo modo), per vedere cosa succede nel backend.

Grazie!

#10 - 04/12/2017 07:45 AM - Michael Guggenberg

2017-04-12T07:44:16+0200 [stdout#info] CREATE users/groups/test None

2017-04-12T07:44:16+0200 [stderr#error] Traceback (most recent call last):

2017-04-12T07:44:16+0200 [stderr#error] File "/ust/lib/python3/dist-packages/octofuss/xmirpc.py”, line 121, in _wrap_call
2017-04-12T07:44:16+0200 [stderr#error]  res = callable(*args)

2017-04-12T07:44:16+0200 [stderr#error] File "/usr/sbin/octofussd", line 142, in create

2017-04-12T07:44:16+0200 [stderr#error]  return self.tree.create(path, value)

2017-04-12T07:44:16+0200 [stderr#error] File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 114, in create

04/10/2024 4/5



2017-04-12T07:44:16+0200 [stderr#error]
2017-04-12T07:44:16+0200 [stderr#error]
2017-04-12T07:44:16+0200 [stderri#error]
2017-04-12T07:44:16+0200 [stderr#error]
2017-04-12T07:44:16+0200 [stderr#error]
2017-04-12T07:44:16+0200 [stderri#error]
2017-04-12T07:44:16+0200 [stderr#error]
2017-04-12T07:44:16+0200 [stderr#error]
2017-04-12T07:44:16+0200 [stderri#error]

return self.Icreate(_tolist(path), value)

File "/usr/lib/python3/dist-packages/octofuss/tree.py", line 273, in Icreate
return tree.Icreate(path[1:], value, **kw)

File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 273, in Icreate
return tree.lcreate(path[1:], value, **kw)

File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 578, in Icreate
return self.new_element(path?, value)

File "/usr/share/octofussd/plugins/usersplugin/common.py”, line 147, in new_element

return group.lget([])

2017-04-12T07:44:16+0200 [stderr#error] AttributeError: 'NoneType' object has no attribute 'lget’

#11 - 04/12/2017 09:56 AM - Christopher R. Gabriel
- Assignee changed from Michael Guggenberg to Mark Caglienzi

#12 - 04/12/2017 04:01 PM - Mark Caglienzi

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Corretto nel commit commit:ab36420b in octofussd

Fatto direttamente in master e pushato.

#13 - 04/12/2017 04:05 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Michael Guggenberg

Pubblicato nuovo pacchetto octofussd 8.0.16 con il fix precedente.

#14 - 05/15/2017 10:57 AM - Michael Guggenberg

- Status changed from Commenti to Risolto
